Package org.gradle.platform.base

# Interface Binary

All Known Subinterfaces:
  `ApplicationBinarySpec`, `BinarySpec`, `CUnitTestSuiteBinarySpec`, `GoogleTestTestSuiteBinarySpec`, `LibraryBinarySpec`, `NativeBinary`, `NativeBinarySpec`, `NativeExecutableBinary`, `NativeExecutableBinarySpec`, `NativeLibraryBinary`, `NativeLibraryBinarySpec`, `NativeTestSuiteBinarySpec`, `PrebuiltSharedLibraryBinary`, `PrebuiltStaticLibraryBinary`, `SharedLibraryBinary`, `SharedLibraryBinarySpec`, `StaticLibraryBinary`, `StaticLibraryBinarySpec`, `TestSuiteBinarySpec`

All Known Implementing Classes:
  `BaseBinarySpec`

@Incubating public interface Binary
A physical binary artifact, which can run on a particular platform or runtime.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns a human-consumable display name for this binary.

- ## Method Details

  - ### getDisplayName

    String getDisplayName()
    Returns a human-consumable display name for this binary.